Bug 1206458 - Expose ModeShape's backup/restore capabilities via the REST service
Summary: Expose ModeShape's backup/restore capabilities via the REST service
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: ModeShape
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER3
: 6.2.0
Assignee: Horia Chiorean
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-27 07:36 UTC by Horia Chiorean
Modified: 2016-02-10 08:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-10 08:56:20 UTC
Type: Support Patch


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker MODE-2452 Major Resolved Allow backup/restore to be performed via the REST service 2015-11-09 15:41:13 UTC

Description Horia Chiorean 2015-03-27 07:36:01 UTC
ModeShape offers an API for performing backup/restore (which can be used by clients to migrate their data). However, in practice this requires writing 3rd party code which uses this API, which may not always be easy.

This issue is about enhancing ModeShape's REST service and allowing an easier way for clients to perform backup/restore. See linked JIRA for a more in-depth discussion.

Comment 1 Horia Chiorean 2015-03-27 07:41:44 UTC
This issue has to be both part of the the DV 6.1 rollup patch - so that clients can perform the backup using DV 6.1, and as part of DV 6.2 - so that clients can restore the data backed up in 6.1.

Comment 2 Horia Chiorean 2015-04-07 09:30:02 UTC
Implemented into 3.9.x-prod-ip6.2.
Documentation about the new REST methods was added at:
- https://docs.jboss.org/author/display/MODE40/REST+Service#RESTService-26.Backuparepository
- https://docs.jboss.org/author/display/MODE40/REST+Service#RESTService-27.Restorearepository


Note You need to log in before you can comment on or make changes to this bug.